// Etoile.h: interface for the Etoile class.
//
//////////////////////////////////////////////////////////////////////

#define RAYON 500

#if !defined(_ETOILE_H_)
#define _ETOILE_H_

#include <fstream>
#include <iostream.h>
#include <math.h>
#include <stdio.h>
#include <stdlib.h>
#include "utilitaires.h"
#include "vector.h"

using namespace std ;

extern int texIds[500];
extern int winW,winH;
extern vec3_t XYZVision;
extern float coefciel, Ouv;
extern double ChampPrecalc;

class Etoile  
{
friend class LesEtoiles;
friend class constellation;

public:
	Etoile();
	virtual ~Etoile();
	int Lire(ifstream &);				// Read the star data in the stream
	void Afficher(float MagLimite);		// Draw the star if it has a magnitude > MagLimite

private:
	unsigned int HR;		// Harvard revised catalog number
	unsigned int SAO;		// SAO number
	char Name[11];			// Star Name
	float Mag;				// Apparent magnitude
	vec3_t XYZ;				// Cartesian position
	vec3_t RGB;				// 3 RGB colour values
	char SpType;			// Spectral type
	float RaRad;			// Right Ascention in radians
	float DecRad;			// Declinaison in radians
	float * matTransfo;		// Transformation matrix used to draw the star
	char CommonName[150];		// Common Name
};

#endif // !defined(_ETOILE_H_)
